/*
 *    Copyright 2010 The backport-spi Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.googlecode.bspi;

/**
 * Error thrown when something goes wrong while loading a service provider.
 *
 * @version $Id: ServiceConfigurationError.java 4 2010-07-24 18:45:26Z simone.tripodi $
 */
public final class ServiceConfigurationError extends Error {

    private static final long serialVersionUID = 1L;

    /**
     * Constructs a new instance with the specified message and cause.
     *
     * @param message the message.
     * @param cause the cause.
     */
    public ServiceConfigurationError(String message, Throwable cause) {
        super(message, cause);
    }

}
